var scriptName="Demo Script";var scriptVersion=1.0;var scriptAuthor="Sms_Gamer";var AMotionFly=new AMotionFly();var AMotionFlyClient;var Strafe=moduleManager.getModule("Strafe")
Math.radians=function(degrees){return degrees*Math.PI/180;};Math.degrees=function(radians){return radians*180/Math.PI;};function vClip(offset){mc.thePlayer.setPosition(mc.thePlayer.posX,mc.thePlayer.posY+offset,mc.thePlayer.posZ);}
function hClip(offset){var playerYaw=Math.radians(mc.thePlayer.rotationYaw);mc.thePlayer.setPosition(mc.thePlayer.posX-(Math.sin(playerYaw)*offset),mc.thePlayer.posY,mc.thePlayer.posZ+(Math.cos(playerYaw)*offset));}
function ivClip(offset){mc.thePlayer.setPositionAndUpdate(mc.thePlayer.posX,mc.thePlayer.posY+offset,mc.thePlayer.posZ);}
function ihClip(offset){var playerYaw=Math.radians(mc.thePlayer.rotationYaw);mc.thePlayer.setPositionAndUpdate(mc.thePlayer.posX-(Math.sin(playerYaw)*offset),mc.thePlayer.posY,mc.thePlayer.posZ+(Math.cos(playerYaw)*offset));}
function hMotion(offset){mc.thePlayer.motionX=parseFloat(Math.cos(Math.radians(mc.thePlayer.rotationYaw+90.0))*offset)
mc.thePlayer.motionZ=parseFloat(Math.sin(Math.radians(mc.thePlayer.rotationYaw+90.0))*offset)}
function AMotionFly(){var motion;this.getName=function(){return "TheFly";};this.getDescription=function(){return "A Motion Fly";};this.getCategory=function(){return "Movenment";};this.onEnable=function(){motion=1.5;}
this.onUpdate=function(){mc.thePlayer.motionY=0;hMotion(motion)
if(motion>0.3){motion-=0.05;}}
this.onDisable=function(){mc.timer.timerSpeed=1;mc.thePlayer.motionX=0;mc.thePlayer.motionZ=0;if(mc.thePlayer.motionY>0){mc.thePlayer.motionY=0;}}}
function onLoad(){};function onEnable(){AMotionFlyClient=moduleManager.registerModule(AMotionFly);};function onDisable(){moduleManager.unregisterModule(AMotionFlyClient);};